/*
*
* CwNcAdvanceRequest.java
* Copyright(C) 2017-2020 DHCC
* @date 2020-05-16
*/
package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

/**
 *  * cw_nc_advance_request
 */
public class CwNcAdvanceRequest {
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String id;

    /**
     * 批次号
     */
    @ApiModelProperty(value = "批次号", required = false, example = "")
    private String batchNo;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

    /**
     * 传入参数
     */
    @ApiModelProperty(value = "传入参数", required = false, example = "")
    private String inParams;

    /**
     * 主键
     * @return ID 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 批次号
     * @return BATCH_NO 批次号
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批次号
     * @param batchNo 批次号
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    /**
     * 使用状态
     * @return USE_STATE 使用状态
     */
    public String getUseState() {
        return useState;
    }

    /**
     * 使用状态
     * @param useState 使用状态
     */
    public void setUseState(String useState) {
        this.useState = useState == null ? null : useState.trim();
    }

    /**
     * 录入人员
     * @return CREATE_USER 录入人员
     */
    public String getCreateUser() {
        return createUser;
    }

    /**
     * 录入人员
     * @param createUser 录入人员
     */
    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    /**
     * 录入时间
     * @return CREATE_TIME 录入时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 录入时间
     * @param createTime 录入时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后修改人员
     * @return UPDATE_USER 最后修改人员
     */
    public String getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后修改人员
     * @param updateUser 最后修改人员
     */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser == null ? null : updateUser.trim();
    }

    /**
     * 最后修改时间
     * @return UPDATE_TIME 最后修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后修改时间
     * @param updateTime 最后修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 备注
     * @return REMARK 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 传入参数
     * @return IN_PARAMS 传入参数
     */
    public String getInParams() {
        return inParams;
    }

    /**
     * 传入参数
     * @param inParams 传入参数
     */
    public void setInParams(String inParams) {
        this.inParams = inParams == null ? null : inParams.trim();
    }
}